/*
 *    Berry.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;


import java.util.*;

public class Berry extends Object {

    private String berryTitle;
    // private Person person;
    private QueryHistoryItem queryHistoryItem;
    private Date dateAdded;
    private String collectionName; //unique collection ID across world?!?
    private String documentID;
      
		 
    public Berry(QueryHistoryItem newQueryHistoryItem, String newDocumentID, String newCollectionName, String newBerryTitle) {	
	// need to add Person to argument list
	queryHistoryItem = newQueryHistoryItem;
	documentID = newDocumentID;
	collectionName = newCollectionName;
	berryTitle = newBerryTitle; // for the moment!
	dateAdded = new Date();
    }


    public Date getDateAdded() {
	return dateAdded;
    }


    public String toString () {
	return( berryTitle);
    }


} // Berry class
